/*

The Life of a Geek
Copyright (C) 2003-2005 Daniel Quintiliani

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

You can e-mail Daniel Quintiliani at danq@danq.lunarpages.com 

geek.cc: Class Geek

1/6/05: Daniel Quintiliani <danq@danq.lunarpages.com>: Updated copyright date.
8/2/04: Daniel Quintiliani <danq@danq.lunarpages.com>: Updated e-mail address
2/3/04: Daniel Quintiliani <coredump0@mercurylink.net>: Updated e-mail address
and copyright.
6/13/03: Daniel Quintiliani <coredump@coredumpcentral.org>: SetName(), 
GetName(), and constructor with name now use C string.

*/

#include "geek.h"

using namespace std;

Geek::Geek()
{
	Energy = 50;
	Money = 100.0;
	Name = "Geek";
	EnergyDrinks = 10;
	Education = 2;
}

Geek::Geek(Geek& g)
{
	Energy = g.GetEnergy();
	Money = g.GetMoney();
	Name = g.GetName();
	EnergyDrinks = g.GetEnergyDrinks();
	Education = g.GetEducation();
}

Geek::Geek(const char* sz)
{
	Energy = 50;
	Money = 100.0;
	Name = sz;
	EnergyDrinks = 10;
	Education = 2;
}

Geek::~Geek()
{
}

void Geek::SetEnergy(int n)
{
	Energy = n;
}

int Geek::GetEnergy()
{
	return Energy;
}

void Geek::SetMoney(float f)
{
	Money = f;
}

float Geek::GetMoney()
{
	return Money;
}

void Geek::SetName(const char* sz)
{
	Name = sz;
}

const char* Geek::GetName()
{
	return Name.c_str();
}

void Geek::SetEnergyDrinks(int n)
{
	EnergyDrinks = n;
}

int Geek::GetEnergyDrinks()
{
	return EnergyDrinks;
}

void Geek::SetEducation(int n)
{
	Education = n;
}

int Geek::GetEducation()
{
	return Education;
}
